Bug 46561 - update-port: mail/sylpheed
Summary: update-port: mail/sylpheed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-27 19:30 UTC by Oliver Lehmann
Modified: 2003-01-02 19:39 UTC (History)
1 user (show)

See Also:


Attachments
sylpheed.patch (1.75 KB, patch)
2002-12-27 19:30 UTC, Oliver Lehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lehmann 2002-12-27 19:30:01 UTC
	update the sylpheed port from 0.8.6 to 0.8.8
Comment 1 Miguel Mendez 2002-12-27 20:45:50 UTC
On Fri, 27 Dec 2002 20:23:00 +0100 (CET)
Oliver Lehmann <lehmann@ans-netz.de> wrote:

Hi,

This upgrade is not correct, no binary will be installed. Use this one instead...

diff -ruN sylpheed.old/Makefile sylpheed/Makefile
--- sylpheed.old/Makefile	Sat Nov 23 22:33:32 2002
+++ sylpheed/Makefile	Fri Dec 27 21:39:28 2002
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sylpheed
-PORTVERSION=	0.8.6
+PORTVERSION=	0.8.8
 PORTREVISION=	0
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://sylpheed.good-day.net/sylpheed/
@@ -111,6 +111,7 @@
 	${LN} -sf ${LOCALBASE}/bin/${LIBTOOL} ${WRKSRC}/libtool
 
 post-install:
+	@${INSTALL_PROGRAM} ${WRKSRC}/src/sylpheed ${PREFIX}/bin
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for i in ChangeLog INSTALL README TODO
diff -ruN sylpheed.old/distinfo sylpheed/distinfo
--- sylpheed.old/distinfo	Fri Nov 15 19:03:45 2002
+++ sylpheed/distinfo	Fri Dec 27 21:23:13 2002
@@ -1 +1 @@
-MD5 (sylpheed-0.8.6.tar.bz2) = cb01f8397c5a1f4dd50e401424f9527d
+MD5 (sylpheed-0.8.8.tar.bz2) = 95985b7e967938e805ad7583e9d248da
diff -ruN sylpheed.old/pkg-plist sylpheed/pkg-plist
--- sylpheed.old/pkg-plist	Sat Nov 23 22:33:32 2002
+++ sylpheed/pkg-plist	Fri Dec 27 21:23:13 2002
@@ -27,6 +27,7 @@
 share/locale/ro/LC_MESSAGES/sylpheed.mo
 share/locale/ru/LC_MESSAGES/sylpheed.mo
 share/locale/sl/LC_MESSAGES/sylpheed.mo
+share/locale/sr/LC_MESSAGES/sylpheed.mo
 share/locale/sv/LC_MESSAGES/sylpheed.mo
 share/locale/tr/LC_MESSAGES/sylpheed.mo
 share/locale/zh_CN/LC_MESSAGES/sylpheed.mo
----

Also note that this version of sylpheed needs an updated version of gpgme (0.3.10)

Cheers,
-- 
        Miguel Mendez - flynn@energyhq.homeip.net
        GPG Public Key :: http://energyhq.homeip.net/files/pubkey.txt
        EnergyHQ :: http://www.energyhq.tk
        Of course it runs NetBSD!
Comment 2 Oliver Lehmann 2002-12-28 12:31:46 UTC
Hi, please submit the folllowing patch instead of the submitted one.
Miguel Mendez reported that this patch works for him.


diff -ruN sylpheed.old/Makefile /usr/ports/mail/sylpheed/Makefile
--- sylpheed.old/Makefile	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/Makefile	Fri Dec 27 23:03:27 2002
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sylpheed
-PORTVERSION=	0.8.6
+PORTVERSION=	0.8.8
 PORTREVISION=	0
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://sylpheed.good-day.net/sylpheed/
@@ -22,7 +22,8 @@
 
 CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
 		LIBS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
-CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext
+CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext
\
+		--program-transform-name=''
 
 .include <bsd.port.pre.mk>
 
diff -ruN sylpheed.old/distinfo /usr/ports/mail/sylpheed/distinfo
--- sylpheed.old/distinfo	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/distinfo	Fri Dec 27 23:01:42 2002
@@ -1 +1 @@
-MD5 (sylpheed-0.8.6.tar.bz2) = cb01f8397c5a1f4dd50e401424f9527d
+MD5 (sylpheed-0.8.8.tar.bz2) = 95985b7e967938e805ad7583e9d248da
diff -ruN sylpheed.old/pkg-plist /usr/ports/mail/sylpheed/pkg-plist
--- sylpheed.old/pkg-plist	Fri Dec 27 23:02:13 2002
+++ /usr/ports/mail/sylpheed/pkg-plist	Fri Dec 27 23:01:42 2002
@@ -27,6 +27,7 @@
 share/locale/ro/LC_MESSAGES/sylpheed.mo
 share/locale/ru/LC_MESSAGES/sylpheed.mo
 share/locale/sl/LC_MESSAGES/sylpheed.mo
+share/locale/sr/LC_MESSAGES/sylpheed.mo
 share/locale/sv/LC_MESSAGES/sylpheed.mo
 share/locale/tr/LC_MESSAGES/sylpheed.mo
 share/locale/zh_CN/LC_MESSAGES/sylpheed.mo



-- 
Oliver Lehmann, lehmann@ans-netz.de, http://www.pofo.de/
  http://wishlist.pofo.de/
Comment 3 Giorgos Keramidas freebsd_committer 2002-12-30 09:23:50 UTC
	Adding to audit trail:

: Message-Id: <20021228001238.2c553c76.lehmann@ans-netz.de>
: Date: Sat, 28 Dec 2002 00:12:38 +0100
: From: Oliver Lehmann <lehmann@ans-netz.de>
:
: Hi, please submit the folllowing patch instead of the submitted one.
: Miguel Mendez reported that this patch works for him.
: 
: 
: diff -ruN sylpheed.old/Makefile /usr/ports/mail/sylpheed/Makefile
: --- sylpheed.old/Makefile	Fri Dec 27 23:02:13 2002
: +++ /usr/ports/mail/sylpheed/Makefile	Fri Dec 27 23:03:27 2002
: @@ -6,7 +6,7 @@
:  #
:  
:  PORTNAME=	sylpheed
: -PORTVERSION=	0.8.6
: +PORTVERSION=	0.8.8
:  PORTREVISION=	0
:  CATEGORIES=	mail ipv6
:  MASTER_SITES=	http://sylpheed.good-day.net/sylpheed/
: @@ -22,7 +22,8 @@
:  
:  CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
:  		LIBS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
: -CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext
: +CONFIGURE_ARGS=	--enable-ipv6 --prefix=${PREFIX} --with-included-gettext \
: +		--program-transform-name=''
:  
:  .include <bsd.port.pre.mk>
:  
: diff -ruN sylpheed.old/distinfo /usr/ports/mail/sylpheed/distinfo
: --- sylpheed.old/distinfo	Fri Dec 27 23:02:13 2002
: +++ /usr/ports/mail/sylpheed/distinfo	Fri Dec 27 23:01:42 2002
: @@ -1 +1 @@
: -MD5 (sylpheed-0.8.6.tar.bz2) = cb01f8397c5a1f4dd50e401424f9527d
: +MD5 (sylpheed-0.8.8.tar.bz2) = 95985b7e967938e805ad7583e9d248da
: diff -ruN sylpheed.old/pkg-plist /usr/ports/mail/sylpheed/pkg-plist
: --- sylpheed.old/pkg-plist	Fri Dec 27 23:02:13 2002
: +++ /usr/ports/mail/sylpheed/pkg-plist	Fri Dec 27 23:01:42 2002
: @@ -27,6 +27,7 @@
:  share/locale/ro/LC_MESSAGES/sylpheed.mo
:  share/locale/ru/LC_MESSAGES/sylpheed.mo
:  share/locale/sl/LC_MESSAGES/sylpheed.mo
: +share/locale/sr/LC_MESSAGES/sylpheed.mo
:  share/locale/sv/LC_MESSAGES/sylpheed.mo
:  share/locale/tr/LC_MESSAGES/sylpheed.mo
:  share/locale/zh_CN/LC_MESSAGES/sylpheed.mo
Comment 4 Tilman Keskinoz freebsd_committer 2003-01-02 19:39:17 UTC
State Changed
From-To: open->closed

Committed thanks